# $Revision: 1.43 $, $Date: 2004/09/20 22:44:03 $
Summary:	FSViewer is a NeXT FileViewer lookalike for Window Maker
Summary(pl):	FSViewer jest przegldark plikw dla Window Makera
Name:		FSViewer
Version:	0.2.5
Release:	4
License:	GPL
Group:		X11/Window Managers/Tools
Source0:	http://www.bayernline.de/~gscholz/linux/fsviewer/%{name}.app-%{version}.tar.gz
# Source0-md5:	d1f849d1f955c35b18201860e485d332
Source2:	%{name}.desktop
Patch0:		http://www.bayernline.de/~gscholz/linux/fsviewer/FSViewer.app-0.2.5-WM-0.81.0.patch.gz
Patch1:		%{name}-no_libnsl.patch
URL:		http://www.bayernline.de/~gscholz/linux/fsviewer/
BuildRequires:	WindowMaker-devel >= 0.81.0-0.20040321.4
BuildRequires:	XFree86-devel
BuildRequires:	autoconf >= 2.50
BuildRequires:	automake
BuildRequires:	gettext-devel
# the rest is required for libwraster (but not all libs from WindowMaker-devel):
BuildRequires:	Hermes-devel
BuildRequires:	libjpeg-devel
BuildRequires:	libpng >= 1.0.8
BuildRequires:	libtiff-devel
BuildRequires:	libungif-devel
# the end of libwraster deps
Requires:	WindowMaker >= 0.70.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

# well, WindowMaker-like, not gnustep*-like - because:
# - it requires WindowMaker, not gnustep-*
# - it doesn't follow gnustep-* hierarchy inside *.app
%define		gsappsdir	%{_libdir}/GNUstep/Apps

%description
FSViewer is a NeXT FileViewer lookalike for Window Maker. Viewing is
currently supported via browser mode. It has been written in C using
the WINGs library.

%description -l pl
FSViewer jest przegldark plikw dla Window Makera wygldajc jak
NeXT FileViewer.

%prep
%setup -q -n FSViewer.app-%{version}
%patch0 -p1
%patch1 -p1

%build
%{__gettextize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--with-appspath=%{gsappsdir}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_desktopdir}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install defs/chdef $RPM_BUILD_ROOT%{gsappsdir}/FSViewer.app
install %{SOURCE2} $RPM_BUILD_ROOT%{_desktopdir}

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog README
%dir %{gsappsdir}/FSViewer.app
%attr(755,root,root) %{gsappsdir}/FSViewer.app/FSViewer
%attr(755,root,root) %{gsappsdir}/FSViewer.app/chdef
%{gsappsdir}/FSViewer.app/MagicFiles
%{gsappsdir}/FSViewer.app/xpm
%{gsappsdir}/FSViewer.app/tiff
%{_desktopdir}/FSViewer.desktop

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: FSViewer.spec,v $
Revision 1.43  2004/09/20 22:44:03  ankry
- rel. 4: desktop fix

Revision 1.42  2004/09/20 21:37:02  havner
- rel 3, rebuild with current wmaker

Revision 1.41  2004/04/24 23:36:50  qboosh
- apply patch for WindowMaker 0.81.0

Revision 1.40  2004/04/24 20:25:04  qboosh
- switched to vfolders, release 2 to rebuild with current WindowMaker

Revision 1.39  2003/10/31 18:46:15  qboosh
- up to 0.2.5
- updated URLs and no_libnsl patch
- removed obsolete ac_am15,WINGs,debian patches
- fixed FHS compliance, updated path in .desktop

Revision 1.38  2003/08/18 08:07:50  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.37  2003/07/06 23:27:13  blues
- many small fixes, mostly inpired by kloczek

Revision 1.36  2003/05/26 16:24:18  malekith
- massive attack: adding Source-md5

Revision 1.35  2003/05/25 05:45:21  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.34  2003/01/18 22:48:33  juandon
- removed two lines with define

Revision 1.33  2002/12/12 16:07:10  qboosh
- updated URLs

Revision 1.32  2002/10/09 13:14:13  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.31  2002/05/25 20:15:32  kloczek
- use new %doc infrastructure.

Revision 1.30  2002/05/21 23:12:35  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.29  2002/03/24 23:28:12  kloczek
- perl -pi -e "s/^automake -a -c$/automake -a -c -f/"

Revision 1.28  2002/02/22 23:28:37  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.27  2002/01/18 02:12:10  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.26  2001/10/04 14:08:34  qboosh
- BuildRequires: autoconf, automake

Revision 1.25  2001/09/18 22:53:47  kloczek
- start prepare release 4,
- fixed bugs on ac/am level and added regenerate ac/am files,
- added WINGs patch with correction WINGs include files locations,
- added debian patch with partial fixes for compile against latest
  WindowMaker stolen from Debian resources.
NOTE: still not compiles correctly on current WM. Probably it will be good
send description compile problems to WM devel list or FSViewer maintainer.

Revision 1.24  2001/07/18 03:20:02  kloczek
- spec adapterized.

Revision 1.23  2000/11/12 20:11:54  kloczek
- modyfications for using neew rpm automation.

Revision 1.22  2000/11/12 16:58:51  kloczek
- removed xpm-devel from BuildRequires.

Revision 1.21  2000/08/09 21:13:41  kloczek
- release 3,
- rebuild against Windowmaker 0.62.1.

Revision 1.20  2000/07/30 04:57:49  kloczek
- spec adapterized.

Revision 1.19  2000/07/28 13:56:20  zagrodzki
- release 3, built against libpng >= 1.0.8

Revision 1.18  2000/06/09 07:54:38  kloczek
- more %%{__make} macros.

Revision 1.17  2000/06/09 07:22:45  kloczek
- added using %%{__make} macro.

Revision 1.16  2000/05/17 00:36:12  kloczek
- spec adapterized.

Revision 1.15  2000/04/01 11:14:21  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.14  2000/03/28 16:54:13  baggins
- translated kloczkish into english

Revision 1.13  1999/10/22 21:13:23  pius
- fixed versions in BuildRequires

Revision 1.12  1999/10/22 21:05:59  pius
- updated to 0.2.3
- fixed dependencies
- added more rpm macros

Revision 1.11  1999/09/04 09:13:11  wiget
 - /etc/X11/applnk -> /usr/X11R6/share/applnk

Revision 1.10  1999/08/31 21:17:10  pius
- updated to 0.2.2

Revision 1.9  1999/07/20 12:48:05  wiget
- switch to rpm 3.0.2

Revision 1.8  1999/07/16 14:39:39  kloczek
- reorder in header.

Revision 1.7  1999/07/12 23:05:56  kloczek
- added using CVS keywords in %changelog (for automating them).

* Wed Jun 23 1999 Piotr Czerwiski <pius@pld.org.pl>
  [0.2.0-1]
- modified for PLD use,
- based on spec file by Ryan Weaver <ryanw@infohwy.com>.
